summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Heras2018-02-23 16:52:45 +0100
committer Willy Sudiarto Raharjo2018-02-24 00:55:40 +0100
commita83f9ff8b47548b1211989673e4165a2abf064c6 (patch)
tree710125ba75206283e740fd7e5931bd4f4f243424
parent6620482f5fd6e9a9e11c262a2bb35343bfb123c3 (diff)
downloadslackbuilds-a83f9ff8b47548b1211989673e4165a2abf064c6.tar.gz
desktop/buttonmaker: Added (dockapps).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/buttonmaker/README4
-rw-r--r--desktop/buttonmaker/buttonmaker.SlackBuild117
-rw-r--r--desktop/buttonmaker/buttonmaker.info10
-rw-r--r--desktop/buttonmaker/slack-desc19
4 files changed, 150 insertions, 0 deletions
diff --git a/desktop/buttonmaker/README b/desktop/buttonmaker/README
new file mode 100644
index 0000000000..034ee22de0
--- /dev/null
+++ b/desktop/buttonmaker/README
@@ -0,0 +1,4 @@
+ButtonMaker
+Like other button dockapps, it’s a button that runs a command.
+It has support for png, jpeg, xpm, tiff, etc. thanks to Imlib2.
+You can use an image of your choice to display on the button.
diff --git a/desktop/buttonmaker/buttonmaker.SlackBuild b/desktop/buttonmaker/buttonmaker.SlackBuild
new file mode 100644
index 0000000000..3f0d39b848
--- /dev/null
+++ b/desktop/buttonmaker/buttonmaker.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for <ButtonMaker>
+
+# Copyright <2018> <Michael Heras>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=buttonmaker
+SRCNAM=ButtonMaker
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM.tar.gz
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#fix code in main.c to prevent dockapp from exit on right click
+sed -i '
+/exit(0)/{
+ x
+ # add a dot to the hold space
+ s/$/./
+ # #dots==#desired?
+ /^.\{2\}$/{
+ # do the replacement action
+ x
+ s:exit(0):/* removed */:
+ x
+ }
+ x
+}
+' $PWD/src/main.c
+#and interpreting the command properly on the left button click
+sed -i -e '0,/strcat/ s/strcat/strcpy/' $PWD/src/main.c
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/${PRGNAM}.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/${PRGNAM}.SlackBuild
+rm -rf $PKG/usr/doc/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/buttonmaker/buttonmaker.info b/desktop/buttonmaker/buttonmaker.info
new file mode 100644
index 0000000000..bf2a90cdd1
--- /dev/null
+++ b/desktop/buttonmaker/buttonmaker.info
@@ -0,0 +1,10 @@
+PRGNAM="buttonmaker"
+VERSION="0.1"
+HOMEPAGE="http://www.dockapps.net/buttonmaker"
+DOWNLOAD="http://www.dockapps.net/download/ButtonMaker.tar.gz"
+MD5SUM="3f09e9417408a90f2ea1b2a49870e7f0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="imlib2"
+MAINTAINER="Michael Heras"
+EMAIL="userxbw@gmail.com"
diff --git a/desktop/buttonmaker/slack-desc b/desktop/buttonmaker/slack-desc
new file mode 100644
index 0000000000..4ee9b101d4
--- /dev/null
+++ b/desktop/buttonmaker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+buttonmaker: buttonmaker (dockapps)
+buttonmaker:
+buttonmaker: Like other button dockapps, it is a button that runs a command.
+buttonmaker: It has support for png, jpeg, xpm, tiff, etc. thanks to Imlib2.
+buttonmaker: Set the image of your choice on the button.
+buttonmaker:
+buttonmaker: http://www.dockapps.net/buttonmaker
+buttonmaker:
+buttonmaker:
+buttonmaker:
+buttonmaker: